﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] </title>
    <meta name="description" content="Initialized via remote ajax json data">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <!--begin::Web font -->
    <script src="https://ajax.googleapis.com/ajax/libs/webfont/1.6.16/webfont.js"></script>
    <script>

        WebFont.load({
            google: { "families": ["Poppins:300,400,500,600,700"] },
            active: function () {
                sessionStorage.fonts = true;
            }
        });
    </script>
    @*hoja de estilos*@
    @{ await Html.RenderPartialAsync("_StylesSheetsPartial"); }
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/bs4/jszip-2.5.0/dt-1.10.18/b-1.5.6/b-html5-1.5.6/b-print-1.5.6/r-2.2.2/datatables.min.css" />
    <link rel="shortcut icon" href="~/assets/media/icons/iconbox_bg.svg" />
    <script src="~/js/libs/jquery-3.2.1.js"></script>
    <script src="~/js/libs/jquery-ui-1.12.1.min.js"></script>
    <script src="~/js/plugin/jquery-validate/jquery.validate.js"></script>
    <script src="~/js/plugin/jquery-validate/jquery.validate.min.js"></script>
    <script src="~/js/plugin/jquery-validate/jquery.validate.unobtrusive.min.js"></script>
    <script src="~/assets/vendors/general/block-ui/jquery.blockUI.js" type="text/javascript"></script>
    <script src="~/assets/demo/default/custom/components/extended/blockui.js" type="text/javascript"></script>
    <!--script para las notificaci9ones-->
    @*<environment include="Development">
            <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.css" />
        </environment>
        <environment exclude="Development">
            <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
                  asp-fallback-href="~/lib/bootstrap/dist/css/bootstrap.min.css"
                  asp-fallback-test-class="sr-only" asp-fallback-test-property="position" asp-fallback-test-value="absolute"
                  crossorigin="anonymous"
                  integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" />
        </environment>*@
    <link rel="stylesheet" href="~/css/site.css" />
</head>

<body class="k-header--fixed k-header-mobile--fixed k-aside--enabled k-aside--fixed">

    <!-- begin:: Page -->
    <!-- begin:: Header Mobile -->
    <div id="k_header_mobile" class="k-header-mobile  k-header-mobile--fixed ">
        <div class="k-header-mobile__logo">
            <a href="index.html">
                <img alt="Logo" src="~/assets/media/logos/logo-6.png" />
            </a>
        </div>
        <div class="k-header-mobile__toolbar">
            <button class="k-header-mobile__toolbar-toggler k-header-mobile__toolbar-toggler--left" id="k_aside_mobile_toggler"><span></span></button>
            <button class="k-header-mobile__toolbar-toggler" id="k_header_mobile_toggler"><span></span></button>
            <button class="k-header-mobile__toolbar-topbar-toggler" id="k_header_mobile_topbar_toggler"><i class="flaticon-more"></i></button>
        </div>
    </div>

    <!-- end:: Header Mobile -->
    <div class="k-grid k-grid--hor k-grid--root">
        <div class="k-grid__item k-grid__item--fluid k-grid k-grid--ver k-page">

            <!-- begin:: Aside -->
            @{ await Html.RenderPartialAsync("_Navigation"); }
            <!-- end:: Aside -->
            <div class="k-grid__item k-grid__item--fluid k-grid k-grid--hor k-wrapper" id="k_wrapper">

                <!-- begin:: Header -->
                @{ await Html.RenderPartialAsync("_Header"); }

                <!-- end:: Header -->
                <!-- begin:: Content -->
                <div class="k-content	k-grid__item k-grid__item--fluid k-grid k-grid--hor" id="k_content">

                    <!-- begin:: Content Head -->
                    <!-- end:: Content Head -->
                    <!-- begin:: Content Body -->

                    @RenderBody()
                  
                    <!-- begin:: Contenido de la página aqui-->
                    <!-- end:: Content Body -->
                </div>

                <!-- end:: Content -->
                <!-- begin:: Footer -->
                @{ await Html.RenderPartialAsync("_Footer"); }
                <!-- end:: Footer -->
            </div>
        </div>
    </div>

    <!-- end:: Page -->
    <!-- begin:: Topbar Offcanvas Panels -->
    <!-- begin::Offcanvas Toolbar Search -->
    <!-- end::Offcanvas Toolbar Search -->
    <!-- begin::Offcanvas Toolbar Quick Actions -->
    <!-- end::Offcanvas Toolbar Quick Actions -->
    <!-- end:: Topbar Offcanvas Panels -->
    <!-- begin::Quick Panel -->
    <!-- end::Quick Panel -->
    <!-- begin::Scrolltop -->
    <div id="k_scrolltop" class="k-scrolltop">
        <i class="la la-arrow-up"></i>
    </div>

    <!-- end::Scrolltop -->
    <!-- begin::Sticky Toolbar -->
    <!-- end::Sticky Toolbar -->
    <!-- begin::Demo Panel -->
    <!-- end::Demo Panel -->
    <!-- begin::Global Config -->
    <script>
        var KAppOptions = {
            "colors": {
                "state": {
                    "brand": "#5d78ff",
                    "metal": "#c4c5d6",
                    "light": "#ffffff",
                    "accent": "#00c5dc",
                    "primary": "#5867dd",
                    "success": "#34bfa3",
                    "info": "#36a3f7",
                    "warning": "#ffb822",
                    "danger": "#fd3995",
                    "focus": "#9816f4"
                },
                "base": {
                    "label": ["#c5cbe3", "#a1a8c3", "#3d4465", "#3e4466"],
                    "shape": ["#f0f3ff", "#d9dffa", "#afb4d4", "#646c9a"]
                }
            }
        };
    </script>

    <!-- end::Global Config -->
    <!--begin:: Global Mandatory Vendors -->

     @{ await Html.RenderPartialAsync("_scriptsPartial"); }
    <script>
        $('#example').DataTable({
            language: {
                "url": "//cdn.datatables.net/plug-ins/9dcbecd42ad/i18n/Spanish.json"
            },
            fixedColumns: true,
            dom: 'B<"clear">lfrtip',
            buttons: {
                name: 'primary',
                buttons: [
                    { extend: 'print', text: 'Imprimir', exportOptions: { columns: '.Print' } },
                    { extend: 'copyHtml5', text: 'Copiar', exportOptions: { columns: '.Print' } },
                    { extend: 'excelHtml5', text: 'Excel', exportOptions: { columns: '.Print' } },
                    { extend: 'csvHtml5', text: 'Csv', exportOptions: { columns: '.Print' } },
                    { extend: 'pdfHtml5', text: 'Pdf', exportOptions: { columns: '.Print' } }
                ]
            }
        });
    </script>
    @RenderSection("Scripts", required: false)
</body>

</html>
